## esh 0.3.2

=== Makefile ===
SCRIPT_NAME := esh

DESTDIR := /
prefix := /usr/local
bindir := $(prefix)/bin
mandir := $(prefix)/share/man

ASCIIDOCTOR := asciidoctor
SED := sed
SHA1SUM := sha1sum

ifeq ($(shell uname -s),Darwin)
	SED := gsed
	SHA1SUM := shasum -a 1
endif

# The default target.
all: help

#: Update version in the script and README.adoc to $VERSION.
bump-version:
	test -n "$(VERSION)"  # $$VERSION
	$(SED) -E -i "s/^(readonly VERSION)=.*/\1='$(VERSION)'/" $(SCRIPT_NAME)
	$(SED) -E -i "s/^(:version:).*/\1 $(VERSION)/" README.adoc

#: Clean all temporary files.
clean:
	rm -f $(SCRIPT_NAME).1
	find tests -name '*.err' -delete

#: Install the script and man page into $DESTDIR/$prefix.
install: install-exec install-man

#: Install the script into $DESTDIR/$bindir.
install-exec:
	mkdir -p $(DESTDIR)$(bindir)
	install -m 755 $(SCRIPT_NAME) $(DESTDIR)$(bindir)/$(SCRIPT_NAME)

#: Install the man page into $DESTDIR/$mandir/man1.
install-man: $(SCRIPT_NAME).1
	mkdir -p $(DESTDIR)$(mandir)/man1
	install -m 644 $(SCRIPT_NAME).1 $(DESTDIR)$(mandir)/man1/$(SCRIPT_NAME).1

#: Generate a man page (requires asciidoctor).
man: $(SCRIPT_NAME).1

#: Update variable :script-sha1: in README.adoc with SHA1 checksum of the script.
readme-update-checksum:
	$(SED) -E -i \
		-e "s/^(:script-sha1:).*/\1 $(shell $(SHA1SUM) $(SCRIPT_NAME) | cut -d ' ' -f 1)/" \
		README.adoc

#: Bump version to $VERSION, create release commit and tag.
release: .check-git-clean | bump-version readme-update-checksum
	test -n "$(VERSION)"  # $$VERSION
	git add .
	git commit -m "Release version $(VERSION)"
	git tag -s v$(VERSION) -m v$(VERSION)

#: Run tests.
test:
	@./tests/run-tests

#: Print list of targets.
help:
	@printf '%s\n\n' 'List of targets:'
	@$(SED) -En '/^#:.*/{ N; s/^#: (.*)\n([A-Za-z0-9_-]+).*/\2 \1/p }' $(MAKEFILE_LIST) \
		| while read label desc; do printf '%-30s %s\n' "$$label" "$$desc"; done


# Convert a man page.
$(SCRIPT_NAME).1: $(SCRIPT_NAME).1.adoc
	$(ASCIIDOCTOR) -b manpage $(SCRIPT_NAME).1.adoc

# Target for compatibility with GNU convention.
install-data: install-man

.check-git-clean:
	@test -z "$(shell git status --porcelain)" \
		|| { echo 'You have uncommitted changes!' >&2; exit 1; }

.PHONY: all bump-version clean install install-data install-exec install-man man \
	readme-update-checksum release test help .check-git-clean

=== debian/changelog ===
esh (0.3.2-3) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.7.2.
  * d/copyright: Remove copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 30 Aug 2025 00:53:12 +0800

esh (0.3.2-2) unstable; urgency=medium

  * d/copyright: Fix Upstream-Contact.
  * d/control: Set Multi-Arch: foreign.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Oct 2024 01:47:44 +0800

esh (0.3.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1082395)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 21 Sep 2024 00:35:40 +0800

=== debian/control ===
Source: esh
Section: shells
Priority: optional
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 asciidoctor,
Standards-Version: 4.7.2
Homepage: https://github.com/jirutka/esh
Vcs-Browser: https://salsa.debian.org/debian/esh
Vcs-Git: https://salsa.debian.org/debian/esh.git

Package: esh
Architecture: all
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: templating engine for evaluating shell commands embedded in arbitrary templates
 esh (embedded shell) is a templating engine for evaluating shell commands
 embedded in arbitrary templates. It’s like ERB (Embedded RuBy) for shell,
 intended to be used for templating configuration files. Unlike ERB it provides
 support for including one ESH template into another (since version 0.2.0).
 .
 The template processing consists of two phases: conversion to a shell script
 and evaluation of that script. You can even run just the conversion phase: esh
 -d will dump a shell script that you can execute directly by a shell (even on a
 system without esh installed). However, in that case, you will not get error
 messages source-mapped to point to the locations in the template file.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

=== debian/watch ===
# Example watch control file for uscan.
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

# GitHub hosted projects.
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/jirutka/esh/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
